Subject: bug#77805: new snapshot available: m4-1.4.19.60-6ebfc.tar.xz

From: Collin Funk <[email-masked]>
Date: Tue, 20 May 2025 14:48:04 -0700

Karl Berry <[email-masked]> writes:

> As far as I can tell, the date command on Solaris 10 (cfarm210) and 11
> (cfarm211) does not support any way to print a specified date value. So
> I inserted a fallback to perl -e 'print scalar
> gmtime($SOURCE_DATE_EPOCH)' if the date commands fail.
>
> If Perl isn't available either, mdate-sh gives a warning and falls back
> to using the mtime of the given file.

That sounds like a good solution to me.

>     I don't mind just ignorning that platform. 
>
> Not supporting gnulib-tool is one thing, but a lot of people still build
> and use Solaris 10. We still get bug reports for Automake from people
> running it there. Might as well keep mdate-sh working there, since it
> was easy to do.
>
> Below is the important part of the patch, and the new file.
> I also threw in a warning if more than one file is specified on the
> command line, instead of silently ignoring anything after the first.
> Hopefully no one's build actually passes multiple files.
>
> Anyway ... closing this bug, with fingers crossed. This was the last
> change I intended to make before the release. Just have to finalize the
> Algol 68 naming.  --thanks, karl.

Sounds good to me. I had assumed most people use Solaris 11, but I
didn't notice that 'date' doesn't work there too.

Thanks,
Collin